ref: 36e100cd76566bc52fdb643b7c145ada38a04348 fanboi2/pyproject.toml -rw-r--r-- 1.4 KiB View raw
                                                                                
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
[tool.poetry]
name = "fanboi2"
version = "2019.8"
description = "Pseudonomous message board"
authors = ["Kridsada Thanabulpong <sirn@ogsite.net>"]
license = "BSD-3-Clause"
include = ["migration/**/*", "fanboi2/static/**/*"]
exclude = ["fanboi2/tests/**/*"]

[tool.poetry.scripts]
fbctl = "fanboi2.cmd.ctl:main"
fbcelery = "fanboi2.cmd.celery:main"
fbdeploy = "fanboi2.cmd.deploy:main"

[tool.poetry.dependencies]
python = "^3.6"
MarkupSafe = "^1.1"
alembic = "~0.9"
argon2-cffi = "^19.1"
celery = "~4.1"
"dogpile.cache" = "^0.7.1"
geoip2 = "^2.9"
gunicorn = "^19.9"
hiredis = "~0.2"
isodate = "^0.6.0"
kombu = "~4.3"
lark-parser = "~0.6"
misaka = "^2.1"
passlib = "^1.7"
psycopg2 = "^2.8"
pyramid = "~1.9"
pyramid-debugtoolbar = "^4.5"
pyramid-mako = "^1.0"
pyramid-nacl-session = "^0.3.0"
pyramid-services = "^2.2"
pyramid-tm = "^2.2"
pytz = "^2019.1"
redis = "~2.0"
requests = "^2.22"
sqlalchemy = "~1.2"
transaction = "^2.4"
wtforms = "~2.1"
"zope.sqlalchemy" = "^1.1"
fabric = {version = "^2.4", optional = true}
patchwork = {version = "^1.0", optional = true}
invocations = {version = "^1.4", optional = true}
colorama = {version = "^0.4.1", optional = true}

[tool.poetry.dev-dependencies]
hupper = "^1.8"
nose2 = "^0.9.1"

[tool.poetry.extras]
deploy = ["fabric", "patchwork", "invocations", "colorama"]

[build-system]
requires = ["poetry>=0.12"]
build-backend = "poetry.masonry.api"